List supported tokens with optional filtering
curl --request GET \
--url https://api.xentfi.com/v1/assets/tokens \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/assets/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/assets/tokens"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/assets/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/assets/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
"name": "Euro Coin",
"symbol": "EURC",
"decimals": 6,
"address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
"standard": "ERC20",
"logoUrl": "https://example.com/eurc-logo.png",
"isActive": true,
"network": "mainnet",
"isNative": false,
"configurations": null,
"blockchain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"symbol": "<string>",
"isActive": true,
"isEvmCompatible": true,
"chainId": 123,
"logoUrl": "<string>",
"tokenStandard": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"createdAt": "2026-02-26T15:10:53.032Z",
"updatedAt": "2026-02-26T15:10:53.032Z"
}
],
"total": 25,
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Assets
List supported tokens with optional filtering
GET
/
v1
/
assets
/
tokens
List supported tokens with optional filtering
curl --request GET \
--url https://api.xentfi.com/v1/assets/tokens \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/assets/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/assets/tokens"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/assets/tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/assets/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
"name": "Euro Coin",
"symbol": "EURC",
"decimals": 6,
"address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
"standard": "ERC20",
"logoUrl": "https://example.com/eurc-logo.png",
"isActive": true,
"network": "mainnet",
"isNative": false,
"configurations": null,
"blockchain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"symbol": "<string>",
"isActive": true,
"isEvmCompatible": true,
"chainId": 123,
"logoUrl": "<string>",
"tokenStandard": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
"createdAt": "2026-02-26T15:10:53.032Z",
"updatedAt": "2026-02-26T15:10:53.032Z"
}
],
"total": 25,
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Query Parameters
Filter by blockchain ID
Filter by blockchain slug (e.g., "base-mainnet")
Filter by network type
Available options:
mainnet, testnet Filter by active status
Filter by native token status
Filter by token symbol
Filter by token name
Number of items to skip
Required range:
x >= 0Maximum number of items to return
Required range:
1 <= x <= 100
